Loading...
Searching...
No Matches
Requirement::Focused Struct Reference

## Public Member Functions

bool | Prefer (const Focused &other) const

## Data Fields

bool | enabled = false
Box | box
Node * | node = nullptr
Screen::Cursor::Shape | cursor_shape = Screen::Cursor::Shape::Hidden
bool | component_active = false

## Detailed Description

Definition at line 25 of file requirement.hpp.

## Member Function Documentation

## Prefer()

bool Prefer | ( | const Focused & | other | ) | const

inline

Definition at line 35 of file requirement.hpp.

## Field Documentation

## enabled

bool enabled = false

Definition at line 26 of file requirement.hpp.

## box

Box box

Definition at line 27 of file requirement.hpp.

## node

Node* node = nullptr

Definition at line 28 of file requirement.hpp.

## cursor_shape

Screen::Cursor::Shape cursor_shape = Screen::Cursor::Shape::Hidden

Definition at line 29 of file requirement.hpp.

## component_active

bool component_active = false

Definition at line 32 of file requirement.hpp.

The documentation for this struct was generated from the following file:

- include/ftxui/dom/requirement.hpp